AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Util
ThreadPool Class
ThreadPool Methods
AddJob Method
Shutdown Method

| ThreadPool AddJob Method

Adds a new job to the queue. This will be picked up by the next available active thread.

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void AddJob(
    	AGIConnectionHandler runnable
    )

    Public Sub AddJob (
    	runnable As AGIConnectionHandler
    )

    public:
    void AddJob(
    	AGIConnectionHandler^ runnable
    )

    member AddJob :
            runnable : AGIConnectionHandler -> unit

#### Parameters

runnable
  Type: AsterNET.FastAGI
  AGIConnectionHandler

  [Missing <param name="runnable"/> documentation for "M:AsterNET.Util.ThreadPool.AddJob(AsterNET.FastAGI.AGIConnectionHandler)"]

See Also

#### Reference

ThreadPool Class
AsterNET.Util Namespace